Bug 97205 - Multiple inboxes for multiple accounts
Summary: Multiple inboxes for multiple accounts
Status: CONFIRMED
Alias: None
Product: kmail2
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 226 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 123176 123491 (view as bug list)
Depends on:
Blocks:
 
Reported: 2005-01-17 02:56 UTC by elektrohirn
Modified: 2018-04-21 17:20 UTC (History)
13 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description elektrohirn 2005-01-17 02:56:49 UTC
Version:            (using KDE KDE 3.3.2)
Installed from:    Gentoo Packages
OS:                Linux

I'd really, really like to see separate inboxes for multiple mail accounts, similar to like Thunderbird does it. With the current mail filtering system of KMail it just gets too complicated to automagically move all incoming mail to the appropiate folder, so it would be great if every single mailaccount just had it's own inbox, outbox, sent, and so on. Perhaps this could be made optional, so that one can choose how he likes it better.
Comment 1 Andreas Gungl 2005-01-17 09:03:20 UTC
Try Configure KMail -> Network -> Receiving -> (on POP account) General -> Destination Folder

For IMAP acounts, there you have a separate INBOX anyway.
Comment 2 elektrohirn 2005-11-05 11:57:26 UTC
I'd really, really like to see this too. It's one of the main reason why I stuck with Thunderbird so long, and why I'm still not really comfortable with KMail. I have two mail accounts, my girlfriend has two, and it was just too complex to do this in KMail when you want to have your mail sorted for each account.
Comment 3 Teemu Rytilahti 2006-03-29 23:59:23 UTC
*** Bug 123176 has been marked as a duplicate of this bug. ***
Comment 4 Teemu Rytilahti 2006-03-30 00:00:41 UTC
*** This bug has been confirmed by popular vote. ***
Comment 5 Ismail Onur Filiz 2006-04-03 23:13:14 UTC
*** Bug 123491 has been marked as a duplicate of this bug. ***
Comment 6 Pawel Pabian 2007-01-23 00:25:20 UTC
I'm also putting my signature under this request. I'd like to see separate folders really soon. I was using Kmail with 3 accounts that had to be separated and it was really uncomfortable. I moved to TB when i got 4th account. Every great feature that was keeping me with Kmail (antispam filtering through spamassassin, zipping attachments, nice address book) doesn't count when KMail is makin pulp out of all your messages from every account. Of course there are filters and rules to emulate something like separate folders, but it's just hack.
Comment 7 Jean-Philippe Monteiro 2007-06-07 04:12:35 UTC
[Outlook does (did?) that pretty well also]

I do not vote:

Kmail is to me flexible enough, and I am talking using kmail for instant monitoring of our mailserver with the download of 17 mail accounts. I do not want to deal with 17 inboxes.

Features such as:
- Set destination Folder for account
- Set Draft Folder for ID
- Set Send Folder for ID
- Set transport
- Keep Reply in Folder
- Set Folder send-identity

allows you to customise this beyond the classic hierarchy of Inbox/Drafts/Sent.

So indeed I have a subfolder called private, which is both my inbox & sendbox - combine this with Threaded view & you have a full, instant view of all conversations you have/had with anyone using this account. That is actually far superior to separate in & out -boxes, but requires a new perspective on how mails can be handled.

Cheers.

Jean-Philippe
Comment 8 Kishore 2007-06-07 05:45:35 UTC
Its still not the same. If you were going to have a diff "sent mail" folder for each account, you would create these folders under the standard sent mail folder. You standard sent mail folder is then not really being used anymore. Of course it would be another thing if that standard folder displayed the mail from all its subfolders (like in akregator).

Yet this does not help much with backup where you only want to backup your professional mail.
Comment 9 Emil Beli 2008-11-18 16:28:15 UTC
I support Kishore. Filtering/rules workarounds are just workarounds. 
I am having "paying attention" problem from who mail goes (which email), also backup issues that Kishore mentioned are too complicated - nearly impossible (no time to waste separating things).

Instead of keeping Outlook philosophy, separate things like in TB. I am now tied to the TB as neither KMail nor Evolution provides me what I need.
I need KMail abilities with TB style of accounts.
Until that happens, I can't use it. I just need/am used to TB account style and that is how it is going to stay. I would like that KMail has ability to do it.

Comment 10 Nikolai Försterling 2009-01-15 02:56:44 UTC
Can't you do all this via filter criteria?
Comment 11 Dexter Filmore 2009-01-15 12:23:49 UTC
No, you can't Filtering just filters into new standard folders which are subfolders of the top level "local folders". We've been over this.
Comment 12 Emil Beli 2009-01-15 12:39:45 UTC
The biggest problem for me is "reply", as I really need to pay attention to select from which e-mail it goes. 
I am known to make a situation when I am tired. I can't rely on me doing this, so I want it automatically, so separate accounts with separate settings are only (known to me) viable solution
Comment 13 Sunny 2009-02-20 23:26:03 UTC
I also support having multiple inboxes. It will give a great edge to Kmail
Comment 14 Kevin Krammer 2009-02-21 13:10:05 UTC
As comment no.1 says, it has been possible to have separate destination folders for ages. This has nothing to do with filtering.

I have been running a KMail setup with three POP3 accounts, each of them having their own destination folder.
Since any folder can be associated with any of the available identities, "New Mail" automatically selects the approriate settings for "From", transport to use, etc.
Comment 15 Dexter Filmore 2009-02-21 13:57:37 UTC
And we've been telling people for FOUR FSCKING YEARS NOW that this ISN'T what this ABOUT.
LEARN to READ.
Comment 16 Médéric Boquien 2009-02-21 14:00:04 UTC
Dexter, i doubt insulting developers will motivate them to implement your wish. Thanks.
Comment 17 Kevin Krammer 2009-02-21 14:24:17 UTC
(In reply to comment #15)
> And we've been telling people for FOUR FSCKING YEARS NOW that this ISN'T what
> this ABOUT.
> LEARN to READ.

It is probably a matter of interpreting things differently.
It seemed to me that people having more than one mail account were asking for options not to have mails from different sources mixed into the same folder.

This has been available for years.

It also seemed that some people thought they had to manually select identity or outgoing account when replying to mails from different sources or creating one for based on a specific account's inbox.

This has also been available for years, probably not as long as the other feature though.

Since each account (in KMail terminology "identities" can (optionally) have their own folders for sent mail, drafts and templates, I though this would cover the rest.

To summarize: a KMail user can (optionally)
- any number of identities/accounts
- have different inbox folder for different mail servers
- have different sent, draft and templates folders for each identity/account
- have different mail server for each identity/accounts's outgoing mail
- can associate any folder with any identify/account, so new mail created for that folder is automatically handled according to the associated indentify/account's settings, such as sent folder, mail server to send through, etc.

Judging by your response there seem to be some things that are not covered with these capabilities yet.
Since I think all the use cases described here are already covered, it might be good to describe one that isn't in more detail.
Comment 18 Sunny 2009-02-21 19:39:52 UTC
Dear Kevin, thanks very much for the kind email. I tried creating multiple identities and also accounts but still could not get Kmail to work like Thunderbird in sorting inboxes. Could you help by directing me to a HOWTO process.

thanks in advance
cheers
sunny
Comment 19 Emil Beli 2009-02-21 22:20:07 UTC
neither I can  make it work as thunderbird. Or KMail can, but it is completely confusing/difficult, or simply, cannot completely separate things.
Comment 20 Dexter Filmore 2009-02-22 12:08:54 UTC
It can't, forget. That's what this is about. You can only setup custom filters to custom folders so you have them essentially under the main account's tree.
Completely bogus.
Oh, you could set up a local IMAP server and have fetched pop3 mail spooled to that and then connect with KMail to the IMAP - if you really want to go with "KMail+IMAP" which you probably don't.
Comment 21 Kevin Krammer 2009-02-22 14:13:28 UTC
(In reply to comment #18)
> Dear Kevin, thanks very much for the kind email. I tried creating multiple
> identities and also accounts but still could not get Kmail to work like
> Thunderbird in sorting inboxes. Could you help by directing me to a HOWTO
> process.

I am not sure there is a how-to somewhere, if not this should probably be put in userbase.kde.org :)

I'll describe what I did when I got myself a GMail account.

First I create a new folder which I named "GMail"

Then I went to the KMail configuration dialog (Settings -> Configure KMail) and clicked on "Accounts"

There I created a new entry under "Receiving" also called GMail, using account type POP3. That dialog also has a drop down chooser (combobox) labelled "Destination folder" which I then used to select my "GMail" folder.

I also created a "Sending" entry using GMail's SMTP server, also naming it "GMail"

Finally, I created a new identity. Its settings dialog has a tab called "Advanced" which I used to set "Special transport" to the "Sending" entry created in the previous step.
On that tab I could have also set a different outbox folder, etc. but I don't need that myself.

You can always change any of these settings by using the respective "Modify" button.
Comment 22 Nikos Chantziaras 2009-03-08 17:40:51 UTC
All I can do is create more sub-folders inside the "Local Folders" top-level folder. I can not create a new top-level folder for my various POP3 accounts.  All I have is "Local Folders".

If anyone has trouble understanding how this is supposed to work, fire up a real mail client (like Thunderbird) and you'll see why KMail lacks behind in this case.  We don't want to store the email inside "Local Folders->GMail, Local Folders->University, Local Folders->GMX, etc."  We need to store it in "GMail->Inbox, University->Inbox, GMX->Inbox".

The current way KMail works is a royal pain in the bum.
Comment 23 Dexter Filmore 2009-03-08 20:35:48 UTC
That's what I've been trying to communicate in technical detail, politely, figuratively and by expressing anger directly as a last resort for *four* *years*.
It really dawns on me that people actually *don't* understand what this is about.
Four years!
This is beyond comprehension. I think even if someone finally took a heart and wrote a patch it would not be incorporated by developers who can't grok what it does.
Like a weird logical blind spot.
Comment 24 Nikos Chantziaras 2009-03-08 23:52:41 UTC
Well, I didn't know this issue if 4 years old.  In any case, I was wondering how people can live with the current behavior at all.  Anyway, it's not like I *have* to use KMail.  I can do without.  But at least I think it's good to give feedback as to why KMail sucks for me (and a lot of other Thunderbird users as well, I guess.)
Comment 25 Pawel Pabian 2009-03-09 00:08:43 UTC
"Don't shit where you eat"! If I have account for spam and account for company emails it's obvious I don't want to keep them together, isn't it?

Separate account = it's own folder structure = it's own POP/SMTP settings = it's own identity. Please :P

Too bad it wasn't fixed in KDE4 during PIM rewrite :(
Comment 26 Kevin Krammer 2009-03-09 09:02:06 UTC
It seems that this has been a misunderstanding all along.

This has been misinterpreted as a request for currently missing functionality, while it is actually a request for currently missing visualiation of available functionality.

It shouldn't be a problem to hide the root folder "Local Folders" and have an account assistant which creates receiving/sending accounts, identity, folders and associates the folders accordingly.

The full flexibility would still be available for those skipping the assistant and doing a detailed setup.
Comment 27 Rajko M. 2009-03-09 19:45:27 UTC
Summary what is wanted is how Thunderbird is handling both types of accounts, POP or IMAP. 

There is still Local Folders, as a local storage for IMAP accounts that are set to remove old mail, but otherwise user has nothing to do to have mail separated by account, just run wizard. After initial setup, user can go and change/fine tune settings for the account, for instance, create filters that will move messages around.
Comment 28 Dexter Filmore 2009-03-09 20:05:43 UTC
Can even put it simpler: we want KMail to arrange POP3 accounts as it arranges IMAP accounts.
Comment 29 Nikos Chantziaras 2009-03-09 20:20:20 UTC
(In reply to comment #27)
> Summary what is wanted is how Thunderbird is handling both types of
> accounts, POP or IMAP.

You don't have to copy Thunderbird or anything.  Just make the accounts separated.  A checkbox in the wizard that goes like "Use own folder structure" or something would help.


> There is still Local Folders, as a local storage for IMAP accounts that
> are set to remove old mail, but otherwise user has nothing to do to have
> mail separated by account, just run wizard. After initial setup, user can
> go and change/fine tune settings for the account, for instance, create
> filters that will move messages around.

I don't want to learn about filters.  All I want is sending and receiving email ;P
Comment 30 Pawel Pabian 2009-04-02 02:41:08 UTC
> This has been misinterpreted as a request for currently missing functionality,
> while it is actually a request for currently missing visualiation of available
> functionality.

You know the saying that "socialism is heroically fighting with problems unknown in other systems" ? That's what you're trying to do.

Instead of fixing this
multipleaccountsstoredinonefolderwithmultipleidentitiesandconfigurationsassigned
pulp you suggest
multipleaccountsstoredinonefolderwithmultipleidentitiesandconfigurationsassignedseparatedwithfilters
:P

Let me give an example how ridiculous current design is. If I want to add two accounts i have to:
1. add 2 entries in Accounts/Receiving tab
2. add 2 entries in Accounts/Sending tab
3. create 2 identities and select corresponding Transport in them
4. go back to Accounts/Receiving and assign identities to them

And all I get is:
1. a message mess
2. risk of sending message using wrong identity/transport
3. lack of migration/backup like in TB where everything related with account is encapsulated in one directory

I like Kontact suite (using it with 2 IMAP and 5 POP accounts now, only because i was determined enough to set it up) but it won't ever get popular if KDE developers won't change current design.
Comment 31 Emil Beli 2011-06-24 17:14:46 UTC
I just know I will never-ever use mailer which has no completely separate
accounts.
I cannot afford to make a mistake of accidental mixup.


Best regards,
Emil Beli

Public key: D4F021DD
http://www.beli.ws/blog/



On Fri, Jun 24, 2011 at 4:51 AM, Matt Rogers <mattr@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=97205
>
>
>
>
>
> --- Comment #30 from Pawel Pabian <spamfuckers wp pl>  2009-04-02 02:41:08
> ---
> > This has been misinterpreted as a request for currently missing
> functionality,
> > while it is actually a request for currently missing visualiation of
> available
> > functionality.
>
> You know the saying that "socialism is heroically fighting with problems
> unknown in other systems" ? That's what you're trying to do.
>
> Instead of fixing this
>
> multipleaccountsstoredinonefolderwithmultipleidentitiesandconfigurationsassigned
> pulp you suggest
>
> multipleaccountsstoredinonefolderwithmultipleidentitiesandconfigurationsassignedseparatedwithfilters
> :P
>
> Let me give an example how ridiculous current design is. If I want to add
> two
> accounts i have to:
> 1. add 2 entries in Accounts/Receiving tab
> 2. add 2 entries in Accounts/Sending tab
> 3. create 2 identities and select corresponding Transport in them
> 4. go back to Accounts/Receiving and assign identities to them
>
> And all I get is:
> 1. a message mess
> 2. risk of sending message using wrong identity/transport
> 3. lack of migration/backup like in TB where everything related with
> account is
> encapsulated in one directory
>
> I like Kontact suite (using it with 2 IMAP and 5 POP accounts now, only
> because
> i was determined enough to set it up) but it won't ever get popular if KDE
> developers won't change current design.
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 32 Kishore 2011-11-10 13:34:26 UTC
I have since switched to using [disconnected] IMAP which has separate folders sets for each account. Hence, i am not much bothered by this bug/feature any more.
Comment 33 Anne-Marie Mahfouf 2011-11-30 12:50:54 UTC
Switching to kmail2 product